Announcement Announcement Module
Collapse
No announcement yet.
jpetstore sample issues while making a build Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • jpetstore sample issues while making a build

    Trying to build spring jpetstore sample using mvn package.

    I am getting the following errors..

    [INFO] Final Memory: 3M/15M
    [INFO] ------------------------------------------------------------------------
    [ERROR] Failed to execute goal on project org.springframework.samples.jpetstore:
    Could not resolve dependencies for project org.springframework.samples:org.spri
    ngframework.samples.jpetstore:war:1.0.0-SNAPSHOT: Failed to collect dependencies
    for [commons-fileupload:commons-fileupload:jar:1.2.1 (compile), org.apache.stru
    ts:com.springsource.org.apache.struts:jar:1.2.9 (compile), javax.xml.rpc:com.spr
    ingsource.javax.xml.rpc:jar:1.1.0 (compile), org.apache.commons:com.springsource
    .org.apache.commons.dbcp:jar:1.2.2.osgi (compile), commons-io:commons-io:jar:1.3
    .2 (compile), hsqldb:hsqldb:jar:1.8.0.7 (compile), org.apache.tiles:tiles-core:j
    ar:2.2.0 (compile), org.apache.tiles:tiles-jsp:jar:2.2.0 (compile), org.tuckey:u
    rlrewritefilter:jar:3.1.0 (compile), org.springframework:spring-webmvc:jar:3.0.0
    .BUILD-SNAPSHOT (compile), org.springframework:spring-orm:jar:3.0.0.BUILD-SNAPSH
    OT (compile), org.springframework:spring-context-support:jar:3.0.0.BUILD-SNAPSHO
    T (compile), org.springframework.webflow:spring-js:jar:2.0.7.RELEASE (compile),
    org.apache.ibatis:com.springsource.com.ibatis:jar: 2.3.4.726 (runtime), com.cauch
    o:com.springsource.com.caucho:jar:3.2.1 (compile), org.apache.axis:com.springsou
    rce.org.apache.axis:jar:1.4.0 (compile), javax.wsdl:com.springsource.javax.wsdl:
    jar:1.6.1 (compile), javax.servlet:jstl:jar:1.2 (runtime), org.aspectj:aspectjwe
    aver:jar:1.6.5 (compile), javax.servlet:servlet-api:jar:2.5 (provided), javax.se
    rvlet.jsp:jsp-api:jar:2.1 (provided), junit:junit:jar:4.6 (test)]: Failed to rea
    d artifact descriptor for org.springframework:spring-webmvc:jar:3.0.0.BUILD-SNAP
    SHOT: Could not transfer artifact org.springframework:spring-webmvcom:3.0.0.BU
    ILD-SNAPSHOT from/to JBoss repository (http://repository.jboss.com/maven2): Acce
    ss denied to: http://repository.jboss.com/maven2/o...rk/spring-webm
    vc/3.0.0.BUILD-SNAPSHOT/spring-webmvc-3.0.0.BUILD-SNAPSHOT.pom -> [Help 1]
    [ERROR]
    [ERROR] To see the full stack trace of the errors, re-run Maven with the -e swit
    ch.
    [ERROR] Re-run Maven using the -X switch to enable full debug logging.
    [ERROR]
    [ERROR] For more information about the errors and possible solutions, please rea
    d the following articles:
    [ERROR] [Help 1] http://cwiki.apache.org/confluence/d...DependencyReso
    lutionException

    . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .
    Perhaps not finding a lot 3.0.0 libraries , are there any other repositories that I can add to the pom.xml

    <repositories>
    <repository>
    <id>org.springsource.maven.snapshot</id>
    <name>SpringSource Maven Central-compatible Snapshot Repository</name>
    <url>http://maven.springframework.org/snapshot</url>
    <snapshots>
    <updatePolicy>daily</updatePolicy>
    </snapshots>
    </repository>
    <repository>
    <id>JBoss repository</id>
    <url>http://repository.jboss.com/maven2</url>
    </repository>

    <repository>
    <id>com.springsource.repository.bundles.release</id>
    <name>SpringSource Enterprise Bundle Repository - SpringSource Bundle Releases</name>
    <url>http://repository.springsource.com/maven/bundles/release</url>
    </repository>
    <repository>
    <id>com.springsource.repository.bundles.external </id>
    <name>SpringSource Enterprise Bundle Repository - External Bundle Releases</name>
    <url>http://repository.springsource.com/maven/bundles/external</url>
    </repository>
    </repositories>

    . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .

  • #2
    Although I like to listen why maven not able to find some of these files from the repositories, I quickly changed <spring.version>3.0.0.BUILD-SNAPSHOT</spring.version> from <spring.version>3.0.5.RELEASE</spring.version> and see the war file been built.

    Comment


    • #3
      Hello , how are you , I changed the script to <spring.version>3.0.5.RELEASE</spring.version> , the war file built but when I deploy it to tomcat , it send me back this error: it deploy the war , but it isn't started , when I try to start it , it send me back this error:
      FAIL - Application at context path /jpetstore could not be started
      Thank you very much for your attention to my question.
      Last edited by seamoh; Feb 10th, 2012, 04:02 AM.

      Comment


      • #4
        I think you would be better posting this question on the main Spring security forum, because this sub-forum is specifically for the SAML extension

        Cheers

        Comment

        Working...
        X